#version 330

uniform sampler2DRect inputTex;
uniform float uTransitionProgress=1.0;

in vec2 fsUL;
in vec2 fsUR;
in vec2 fsLL;
in vec2 fsLR;
out vec4 outColor;

void main()
{
    outColor = texture(inputTex, fsUL);
    outColor+= texture(inputTex, fsUR);
    outColor+= texture(inputTex, fsLL);
    outColor+= texture(inputTex, fsLR);
    outColor*=0.25;
//    outColor.r=fsUL.x;
//    outColor.g=fsUL.y;
//    outColor.b=0.;
//    outColor.a=1.0;
}


